Loading...
Searching...
No Matches
space_component< T, M >

## Detailed Description

template<class T, class M>
class rheolef::space_component< T, M >

Definition at line 29 of file space_component.h.

## Public Types

typedef space_basic< T, M >::size_type | size_type

## Public Member Functions

| space_component (space_constitution< T, M > &sc, size_type i_comp)
| space_component (const space_component< T, M > &x)
| operator space_basic< T, M > () const
space_component< T, M > | operator[] (size_type i_comp) const
void | block (std::string dom_name)
void | block (const domain_indirect_basic< M > &dom)

## Protected Attributes

space_constitution< T, M > & | _constit
size_type | _i_comp

## Static Protected Attributes

static const size_type | _unset = std::numeric_limits<size_type>::max()

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef space_basic<T,M>::size_type size_type

Definition at line 32 of file space_component.h.

## Constructor & Destructor Documentation

## space_component() [1/2]

template<class T , class M >

space_component | ( | space_constitution< T, M > & | sc,
|  | size_type | i_comp
| ) |  |

Definition at line 36 of file space_component.h.

## space_component() [2/2]

template<class T , class M >

space_component | ( | const space_component< T, M > & | x | ) |

Definition at line 40 of file space_component.h.

## Member Function Documentation

## operator space_basic< T, M >()

template<class T , class M >

operator space_basic< T, M > | ( |  | ) | const

Definition at line 45 of file space_component.h.

## operator[]()

template<class T , class M >

space_component< T, M > operator[] | ( | size_type | i_comp | ) | const

Definition at line 52 of file space_component.h.

## block() [1/2]

template<class T , class M >

void block | ( | std::string | dom_name | ) |

Definition at line 59 of file space_component.h.

## block() [2/2]

template<class T , class M >

void block | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 66 of file space_component.h.

## Member Data Documentation

## _unset

template<class T , class M >

const size_type _unset = std::numeric_limits<size_type>::max()

static protected

Definition at line 75 of file space_component.h.

## _constit

template<class T , class M >

space_constitution<T,M>& _constit

protected

Definition at line 77 of file space_component.h.

## _i_comp

template<class T , class M >

size_type _i_comp

protected

Definition at line 78 of file space_component.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/space.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/space_component.h